cURL
curl --request POST \ --url https://api.ravan.ai/api/v1/phone-numbers/create/telephony/ \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "type": "<string>", "owner_type": "<string>", "friendly_name": "<string>", "client_id": "<string>", "client_secret": "<string>" } '
{ "success": true, "message": "Request completed successfully", "data": { "id": "id_123", "type": "twilio", "owner_type": "twilio", "friendly_name": "Support Bot", "status": "active", "created_at": "2026-03-14T12:00:00Z", "termination_uri": "sip:example@provider.com", "sip_username": "sip-user", "sip_password": "secret-password" } }
Create Telephony Type.
Show data
Telephony provider type (e.g. twilio, vonage)
Owner type (e.g. organization, user)
Human-readable label for this telephony config
Provider client/account ID
Provider client secret or auth token
Successful response
Show child attributes